# bytableAndStructure.tst RAQ
# Test the functions in the bytable and structure files

gap> START_TEST("RAQ package: bytableAndStructure.tst");
gap> t4 := [[1,3,2,4], [3,2,1,4], [2,1,3,4], [1,2,3,4]];
[ [ 1, 3, 2, 4 ], [ 3, 2, 1, 4 ], [ 2, 1, 3, 4 ], [ 1, 2, 3, 4 ] ]
gap> IsRightSelfDistributiveTable(t4);
false
gap> IsLeftSelfDistributiveTable(t4);
true
gap> IsElementwiseIdempotentTable(t4);
true
gap> l4 := LeftQuasigroupByMultiplicationTable(t4);
<left quasigroup with 4 generators>
gap> Elements(l4);
[ lA1, lA2, lA3, lA4 ]
gap> IsLeftQuasigroup(l4);
true
gap> q1 := MagmaElement(l4,1); q2 := MagmaElement(l4,2);
lA1
lA2
gap> LeftQuotient(q1,q2);
lA3
gap> STOP_TEST( "bytableAndStructure.tst", 10000);

